input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: $white;
    border-radius: rem(30);
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        z-index: 10;
        height: rem(60);
        outline: none;
        color: $black;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(15);
        line-height: rem(20);
        position: relative;
        padding: rem(18) rem(24);
        background: transparent;
        display: inline-block;
        vertical-align: middle;
        border: rem(2) solid transparent;
        border-radius: rem(30);
        @include placeholder(rgba(0,0,0,0.5));

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
        }

        &.error {
            border-color: red !important;
        }
    }

    textarea {
        height: auto;
        resize: none;
    }

    &__icon {
        left: rem(20);
        top: calc(50% - 0.75rem);
        z-index: 1;
        width: rem(24);
        height: rem(24);
        position: absolute;
        fill: $blue;

        &--right {
            left: auto;
            right: rem(20);
        }
    }

    &--icon-right {

        #{$input-selector} {
            padding-right: rem(48);
        }
    }

    @include media-breakpoint-up(xl) {

    }
}
